// V2111 08/06/2002

//public message
var msg_blank = "%s can not be blank.\n";
var msg_space = "Blanks or spaces are not allowed in %s\n";
var msg_blank_in = "Blanks are not allowed in %s\n";
var msg_mis_len = "%s must be at least %s characters\n";
var msg_invalid = "Invalid character or characters in %s\nValid characters are: \n%s\n\n";
var msg_check_invalid = "%s contains an invalid number\n";
var msg_greater = "%s must be greater than %s \n";
var msg_less = "%s must be less than %s \n";
var msg_first = "First";  // eg. First field of GW must match device IP
var msg_second = "Second";
var msg_third = "Third";
var msg_fourth = "Fourth";
var msg_invalidMAC = "%s must be 12 Hex chars (0~9 and A~F) with optional delimiters (: or -)\n";
var msg_invalidOUI = "%s must be 6 Hex chars (0~9 and A~F) with optional delimiters (: or -)\n";
var msg_validIP = "%s is invalid. Valid range is 1.0.0.1 to 254.255.255.254\n";
var msg_validMask = "%s is invalid. Valid range is 0.0.0.0 to 255.255.255.255\n";
var na_var = "n/a";
var wmode_msg = "This screen is not available while in Bridge mode";

// access control
var msg_invalidmacfile = "Invalid filename provided. please enter again:(*.txt or *.acl)";


// backup/config
var msg_cfDefault = "Warning!\nLoading the Factory Default Settings will erase all the current settings.\nAre you sure you wish to do this?\n\nClick OK to continue, Cancel to abort.";
var msg_restoreCfg = "Warning!\nRestoring settings from a config file will erase all the current settings.\nAre you sure you wish to do this?\n\nClick OK to continue, Cancel to abort.";
var msg_nocfg_file = "Filename can not be blank";
var msg_invalidcfgfile = "Invalid filename provided. please enter again:(*.cfg)";

//basic
var msg_ap_name = "Access Point Name is invalid. Do not use punctuation or special characters.\n"
var msg_remoteAP = "Remote AP MAC address";
var msg_noremoteAP = "Remote AP address is not required for this mode, and cannot be specified";
var msg_apname = "Access Point Name";
var msg_ip_field = "%s field of IP address";
var msg_ip_address = "IP Address";
var msg_netmask = "Network Mask";
var msg_gatewayip = "Gateway IP Address";
var msg_DNS_ip = "DNS IP Address";
var msg_wins_name = "Name";
var msg_wins_server_address = "WINS Server Address is invalid.\n";
var msg_not_work24g = "WARNING!\nBecause both AP mode and Bridge mode are disabled,\nthe 2.4 GHz wireless band is effectively disabled.";
var msg_not_work5g = "WARNING!\nBecause both AP mode and Bridge mode are disabled,\nthe 5 GHz band is effectively disabled.";
var msg_not_number = "Name may not consist solely of digits (numbers).\n";
var msg_dynsuper = "Dynamic Super 802.11g (108Mbps) is not available in the current mode.\nIt can only be used in when this AP is in Access Point mode."
var msg_dyna = "Dynamic Super 802.11a (108Mbps) is not available in the current mode.\nIt can only be used in when this AP is in Access Point mode."

//menu
var msg_logout = "\nLogout?\n\nClick OK to logout or Cancel to continue";

// password
var msg_pw_nomatch = "The passwords entries do not match, please enter again.\n";
var msg_user_name = "User name";
var msg_httpport ="HTTP Port Number"
var msg_httpsport ="HTTPS Port Number"
var msg_enablehttp = "Either HTTP or HTTPS must be enabled\n";
var msg_httpportconflict = "HTTP and HTTPS must use different port numbers\n";

// system
var changeMsg = "WARNING: Selecting the incorrect domain may result in a violation of applicable law. \nDo you agree to act in accordance with these settings?";
var msg_select_region = "Please select the region to match your location";
var msg_wins_server = "Invalid WINS Server Name/IP Address. Please enter again\n";
var msg_slog_server = "Invalid SysLog Server. Please enter again\n";
var msg_1x_name = "802.1X Supplicant Name is invalid.\n";
var msg_1x_pwd_mis = "802.1X Supplicant Passwords entries do not match.\n";
//status
var msg_restart = "This operation will restart your device.\nAny existing connections will be broken.";

// Wireless 
var msg_noap_selected = "Please click on a radio button to select an Access Point\n";

// Security
var msg_noac = "Access Control is disabled";
var msg_noencypt  = "Data Encryption is disabled";
var msg_ssid = "SSID";
var msg_profilename = "Profile Name";
var msg_profile_enable_limit = "Cannot enable; too many profiles are already enabled.\nTo enable this profile, you must disable another profile first.";
var msg_noprofile = "No profile selected; please select a profile\n";

var msg_sel_region = "Please select the correct region for your location\n";
var msg_radius_password = "Radius password";
var msg_radius_domain = "Radius Domain Name";
var msg_key_lifetime = "Key Lifetime";
var msg_wpa_ptk_lifetime	= "Pairwise Key Lifetime";
var msg_wpa_gtk_lifetime	= "Group Key Lifetime";
var msg_radius_server  = "Radius Server address is invalid\n";
var msg_radius_server1 = "Primary Radius Server address is invalid\n";
var msg_radius_server2 = "Secondary Radius Server address is invalid\n";
var msg_radius_port = "Radius Port number";
var msg_login_key = "Shared Key";
var msg_rac_port = "Radius Accounting Port number";
var msg_update_timer = "Radius Accounting Update interval";
var msg_radius_wepkey = "WEP Key is invalid. Key must be %s HEX chars ( 0~9 and A~F)";


var msg_wep_pass = "Passphrase must be at least %s characters";
var msg_key64_hex = "Invalid WEP Key. Keys must be 10 Hex chars (0~9 and A~F)\nDefault key is required, other keys are optional.";
var msg_key64_ascii = "Invalid WEP Key. Keys must be 5 ASCII chars.\nDefault key is required, other keys are optional.";
var msg_key128_hex = "Invalid WEP Key. Keys must be 26 Hex chars (0~9 and A~F)\nDefault key is required, other keys are optional.";
var msg_key128_ascii = "Invalid WEP Key. Keys must be 13 ASCII chars.\nDefault key is required, other keys are optional.";
var msg_key152_hex = "Invalid WEP Key. Keys must be 32 Hex chars (0~9 and A~F)\nDefault key is required, other keys are optional.";
var msg_key152_ascii = "Invalid WEP Key. Keys must be 16 ASCII chars.\nDefault key is required, other keys are optional.";
var msg_keypsk =  "Invalid Key.\nKey length is 8~63 ASCII chars.";
var msg_noradiusmac = "Radius-based MAC authentication is not available with the current settings";
var msg_nouam = "UAM is not available with the current settings";



// Wireless Access Control
var msg_wire_list = "No Wireless station selected";
var msg_mac_addr = "Station Address";
var msg_station_name = "Station name";
var msg_button_update = "Update";
var msg_button_add = " Add ";


// adv wireless
var msg_datimeout = "Disassociated Timeout";
var msg_rts = "RTS/CTS Threshold";
var msg_frag = "Fragmentation";
var msg_beacon = "Beacon Interval";


// upgrade FW
var msg_upgradefw = "Continue?\nAll existing Internet connections will be terminated.";
var msg_nofile = "No filename provided. Please select the correct file.";
var msg_invalidfile = "Invalid filename provided. please enter again:(*.img)";
var msg_invalidpath = "Invalid file path provided.  ';' is not allowed\n";
var finish_msg = "\Firmware Upgrade completed. \Access Point will now restart." +
"\nPlease check the LEDs to see if the Access Point is ready,\nthen re-connect.";

// UAM
var msg_uam_ex_url = "Login URL"; 
var msg_uam_ex_fail_url = "Login Failure URL";
var msg_uam_username = "User Name";
var msg_uam_password = "Password";
var msg_confirm_logout = "Do you really want to log off?\nInternet access will no longer be available.";
var msg_outoftime = "You have reached your session time, and will automatically be logged off.";
var msg_loggedout = "You are now logged out. Please close all Browser windows.\nTo login in again, re-start the Browser, and try to connect to any site.";

// Radius User database
var msg_nouser = "No user selected. Please select a user in the list";
var msg_dupe_name = "This name already exists. Please use a different name";
var msg_user_name = "User name";
var msg_user_passwd = "User password";
var msg_user_domain = "Domain";
var msg_user_mac = "MAC address";
var msg_delUser = "Delete user: %s ?";
var msg_delallusers = "Delete ALL users ? ";

var msg_rogue_detect_interval = "Scan interval";
var msg_ap_addr = "AP MAC Address";
var msg_oui_addr = "AP OUI";
var msg_rougueap_define = "Invalid Rogue AP Definition. You must select at least one checkbox\n";
var checkRogueMsg = "Scanning for Rogue APs will briefly suspend any wireless connections to this AP.\nContinue?"


// Auto Config/Auto Update
var msg_update_days = "Firmware update interval";
var msg_ftp_server = "FTP Server Address is invalid.\n";
var msg_firmware_path = "Firmware Pathname";
var msg_ftp_user   = "FTP Login Name";
var msg_ftp_password = "FTP Password";

